package com.rf.psychological.dao.dto;

import com.rf.psychological.dao.model.CategorySubjectEntity;
import com.rf.psychological.scale.dao.model.SubjectEntity;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * @author zzf
 * @description:
 * @date 2021/8/11 14:38
 */
@Getter
@Setter
public class SubjectEntityDto {


    private final String people;

    private int no;

    private String flag;

    private String name;

    private String type;

    private String description;

    private String isHot;

    private int testNum;

    private int isNew;

    private String imageUrl;

    private String uploader;

    private String eName;

    private String fileName;

    private String scoringPrinciple;

    private String scaleLimit;

    private String reportKeyboarder;

    private List<CategorySubjectEntity> category;

    //价格  add by zzf  2022-08-16
    private double price;
    public SubjectEntityDto(SubjectEntity subjectEntity) {
        this.no = subjectEntity.getNo();
        this.flag = subjectEntity.getFlag();
        this.name = subjectEntity.getName();
        this.type = subjectEntity.getType();
        this.description = subjectEntity.getDescription();
        this.isHot = subjectEntity.getIsHot();
        this.testNum = subjectEntity.getTestNum();
        this.isNew = subjectEntity.getIsNew();
        this.imageUrl = subjectEntity.getImageUrl();
        this.uploader = subjectEntity.getUploader();
        this.eName = subjectEntity.getEName();
        this.fileName = subjectEntity.getFileName();
        this.scoringPrinciple = subjectEntity.getScoringPrinciple();
        this.scaleLimit = subjectEntity.getScaleLimit();
        this.people = subjectEntity.getMen();
        this.reportKeyboarder = subjectEntity.getReportKeyboarder();
    }
}
